Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QDialogButtonBox.ButtonRole

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QDialogButtonBox.ButtonRole

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QDialogButtonBox

    public static final class QDialogButtonBox.ButtonRole

extends java.lang.Enum
implements QtEnumerator

This enum describes the roles that can be used to describe buttons in the button box. Combinations of these roles are as flags used to describe different aspects of their behavior.

See also:
  `StandardButton` .

See Also:
  Serialized Form

Field Summary
`static QDialogButtonBox.ButtonRole` | `AcceptRole` Clicking the button causes the dialog to be accepted (e.g.
`static QDialogButtonBox.ButtonRole` | `ActionRole` Clicking the button causes changes to the elements within the dialog.
`static QDialogButtonBox.ButtonRole` | `ApplyRole` The button applies current changes.
`static QDialogButtonBox.ButtonRole` | `DestructiveRole` Clicking the button causes a destructive change (e.g.
`static QDialogButtonBox.ButtonRole` | `HelpRole` The button can be clicked to request help.
`static QDialogButtonBox.ButtonRole` | `InvalidRole` The button is invalid.
`static QDialogButtonBox.ButtonRole` | `NoRole` The button is a "No"-like button.
`static QDialogButtonBox.ButtonRole` | `NRoles`
`static QDialogButtonBox.ButtonRole` | `RejectRole` Clicking the button causes the dialog to be rejected (e.g.
`static QDialogButtonBox.ButtonRole` | `ResetRole` The button resets the dialog's fields to default values.
`static QDialogButtonBox.ButtonRole` | `YesRole` The button is a "Yes"-like button.

Method Summary
`static QDialogButtonBox.ButtonRole` | `resolve(int value)` Returns the ButtonRole constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QDialogButtonBox.ButtonRole` | `valueOf(java.lang.String name)`
`static QDialogButtonBox.ButtonRole[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### InvalidRole

    public static final QDialogButtonBox.ButtonRole InvalidRole

  The button is invalid.

### AcceptRole

    public static final QDialogButtonBox.ButtonRole AcceptRole

  Clicking the button causes the dialog to be accepted (e.g. OK).

### RejectRole

    public static final QDialogButtonBox.ButtonRole RejectRole

  Clicking the button causes the dialog to be rejected (e.g. Cancel).

### DestructiveRole

    public static final QDialogButtonBox.ButtonRole DestructiveRole

  Clicking the button causes a destructive change (e.g. for Discarding Changes) and closes the dialog.

### ActionRole

    public static final QDialogButtonBox.ButtonRole ActionRole

  Clicking the button causes changes to the elements within the dialog.

### HelpRole

    public static final QDialogButtonBox.ButtonRole HelpRole

  The button can be clicked to request help.

### YesRole

    public static final QDialogButtonBox.ButtonRole YesRole

  The button is a "Yes"-like button.

### NoRole

    public static final QDialogButtonBox.ButtonRole NoRole

  The button is a "No"-like button.

### ResetRole

    public static final QDialogButtonBox.ButtonRole ResetRole

  The button resets the dialog's fields to default values.

### ApplyRole

    public static final QDialogButtonBox.ButtonRole ApplyRole

  The button applies current changes.

### NRoles

    public static final QDialogButtonBox.ButtonRole NRoles

Method Detail

### values

    public static QDialogButtonBox.ButtonRole[] values()

### valueOf

    public static QDialogButtonBox.ButtonRole valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QDialogButtonBox.ButtonRole resolve(int value)

  Returns the ButtonRole constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD